### Function

# Camel HeaderAddress list_append

#### Declaration [src]

    void
    camel_header_address_list_append (
      CamelHeaderAddress** addrlistp,
      CamelHeaderAddress* addr
    )

#### Description [src]

#### Parameters

`addrlistp`

  Type: An array of `CamelHeaderAddress*`

  A NULL-terminated list of `CamelHeaderAddress` objects.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.

`addr`

  Type: `CamelHeaderAddress`

  The `CamelHeaderAddress` to add.

  The data is owned by the caller of the function.